html, body {
    padding:0px !important;
    margin:0;
	overflow-x:hidden;
	line-height: 1.2 !important;
    /*overflow-x: hidden;*/
}

header,footer,nav {
	position: sticky;
	left: 0;
	width: 100%;
}

header {
	position: relative;
	z-index: 1010;
}

.header {
	padding: 5px 0px;
	display: flex;
}

.header-items {
	display: flex;
	margin: auto;
	width: 100%;
}

.navimage {
	width: 25%;
	text-align: right;
	margin-right: 20px;
}

.navimage img {
	border: 5px solid #61b566;
}

.navtext {
	width: 25%;
	margin: auto 0px auto 20px;
}

.loginbtn {
	width: 33%;
	margin: auto;
	text-align: center;
}

.btnstyle {
	background-color: #61b566;
	color: white !important;
	border: none;
	font-size: 14px;
	padding: 10px;
	border-radius: 6px;
}

.btnstyle > a {
	color: white !important;
}

a:hover {
	text-decoration: none !important;
}

#navbar {
	background-color: #61b566;
	padding: 5px;
}

#navbar ul {
	margin-left: 18%;
}

#navbar ul li > a {
	color: white;
	font-size: 14px;
}

.modal {
  text-align: center;
  padding: 0!important;
}

.modal:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.myinput {
    width: 350px;
    height: 36px;
}

body:not(.modal-open){
  padding-right: 0px !important;
}

.btn-primary {
	background-color: #61b566 !important;
	border: none;
}

.modalborder {
	border: 2px solid #61b566;
	padding: 5px;
}

#dropdownMenuButton:focus,button:focus,input:focus {
    border: none;
    outline: none;
}

.dropdown-toggle::after {
    display: none;
}

.dropdown-item{
	font-size: 12px !important;
	padding: 5px 10px !important;
	min-width: 50px !important;
}

label {
	display: block;
	margin-bottom: 0 !important;
}

.row {
	margin: 0px !important;
}

.form-control {
	max-width: 100% !important;
}

.eye-icon {
	z-index: 2;
	margin-top: 10px;
}

#memberlist {
	padding: 0px !important;
	overflow-y: auto;
}

.outline {
	border-bottom: solid 1px black;
	border-left: solid 1px black;
	border-right: solid 1px black;
	padding: 5px 10px;
}

.top-border{
	border-top: solid 1px black;
}

.single-chat {
	color: black !important;
	display: block;
	cursor: pointer;
	line-height: 1.2 !important;
}

.invisible-content {
	display: block;
}

#backbtn {
	display: none;
}

@media (max-width: 992px) {
  .invisible-content {
    display: none;
  }

  #backbtn {
	  display: block;
  }
}

#msgbox {
	padding: 7px;
	display: inline-block !important;
	width: 60%;
}

textarea:focus {
	outline: none !important;
	border: 1px solid #61b566 !important;
}

#sendbtn {
	min-width: 10%;
}

.member-image {
	width: 50px;
	height: 50px;
}

/* messages */
.rightmsg{
	margin-left: 25%;
	background-color: #7f9fe4;
	margin-bottom: 10px;
	color: white;
	border-radius: 10px;
	padding: 5px 10px;
	line-height: 1.2 !important;
}

.leftmsg{
	background-color: rgb(173, 193, 206);
	color: white;
	margin-bottom: 10px;
	border-radius: 10px;
	padding: 5px 10px;
	line-height: 1.2 !important;
}

.msgdate{
	font-size: 10px !important;
}

#showchat{
	overflow-y: auto !important;
}

.membername{
	font-size: 14px;
	font-weight: 600;
}

.lastactivity{
	color: #61b566;
	font-size: 12px;
}

.msgs{
	padding-top: 2px;
	font-size: 12px;
	font-weight: 500;
}

pre {
	white-space: pre-wrap;
	white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
    white-space: -pre-wrap; /* Opera 4-6 */
    white-space: -o-pre-wrap; /* Opera 7 */
	font-family: Arial, Helvetica, sans-serif;
	color: inherit !important;
	margin-bottom: 0px !important;
}

/* scrolltop button */
.scrollTop {
    position: absolute;
    right: 20px;
    top: 77%;
    background-color: rgba(0,0,0,0.50);
    padding: 5px;
    display: none;
    transition: all 0.4s ease-in-out 0s;
	border-radius: 5%;
	line-height: 0.6 !important;
}
  
.scrollTop a {
    font-size: 12px;
    color: white;
}

.active-member-text {
	color: white !important;
}

.active-parent-bg {
	background-color: #61b566 !important;
}

/* posts page styling */
#pt {
	width: 60% !important;
	padding: 10px !important;
}

#pt-parent {
	text-align: center;
}

.post-border {
	border: solid 1px #aaa;
}

.post-date {
	font-size: 10px;
	color: #aaa;
	/* line-height: 0.7; */
	height: 10px !important;
}

#postarea h6 {
	margin-bottom: 0 !important;
}

#postarea p {
	margin-bottom: 8px !important;
}

#postarea hr {
	margin-block: 0 !important;
	opacity: 50% !important;
}

#postarea .fa-heart {
	color: red !important;
	cursor: pointer;
}

#postarea .fa-heart span {
	color: black !important;
	font-weight: 400 !important;
}

#label {
	cursor: pointer;
}

#postarea a {
	color: black !important;
}

#commentarea {
	overflow-y: auto;
}

#commentbox, .editcomment {
	padding: 7px;
	display: inline-block !important;
	width: 70%;
	margin-right: 1%;
	left:0;
	bottom: 0;
}

#commentbtn {
	width: 18%;
	right: 10%;
	bottom: 0;
}

#commentdiv {
	margin-left: 15px !important;
}

.mybtns {
	margin-right: 5px !important;
	margin-left: auto !important;
}

.mybtn {
	height:30px;
	border-radius: 5px;
	color: white;
	margin: 2px;
	border: none !important;
	outline: none !important;
	text-align: center;
}

.editbtn, .donebtn, .editbtnpost, .donebtnpost {
	background-color: green;
	opacity: 0.8;
}

.delbtn, .cancelbtn, .delbtnpost, .cancelbtnpost, .removeimage {
	background-color: red;
	opacity: 0.9;
}

.mybtn i {
	font-size: 20px;
}

#editcomment {
	line-height: 1 !important;
	width: 60% !important;
}

#editpost {
	width: 100% !important;
	padding: 5px !important;
}

/* Members styling */

.col-30 {
	width:32% !important;
	margin: 10px auto !important;
	height: 150px;
}

@media (max-width: 992px) {
	.col-30 {
		width:90% !important;
		margin: 10px auto !important;
	}
}

.image-holder {
	width:40%; 
	height:150px; 
}

.info-holder {
	width: 60%;
}

.image-holder .card-img-top {
	margin: 20px 5% !important;
	height: 100px;
	width: 80% !important;
}

.card-body {
	padding: 0.5rem !important;
}

.card-body a h6, .card-body h6 {
	color: #61b566 !important;
	margin-bottom: 0px !important;
}

.card-body p {
	margin-bottom: 0px !important;
	margin-top: 4px !important;
}

.card-body i {
	margin-top: 6px !important;
	color: #212529 !important;
	font-size: 0.9em !important;
	display: block !important;
}

#member {
	min-height: 400px;
}

.fam-border h6, .fam-border-edit h6, .fam-border-delete h6, .approve, .decline {
	border: 2px solid #61b566;
	display: inline-block;
	margin-top: 4px;
	padding: 3px 5px;
	cursor: pointer;
}

.card-body .fam-border-delete h6, .decline {
	border: 2px solid red;
	margin-left: 5px !important;
	color: red !important;
}

#filemsg {
	max-width: 50%;
	text-overflow: ellipsis;
	white-space: nowrap;
  	overflow: hidden;
	font-size: 12px;
}

.fam-member .card-body p {
	margin-top: 2px !important;
}

#memberfamily h4 {
	margin-bottom: 0 !important;
}

/* Admin Pages styling */

#requests, #deletemembers {
	min-height: 400px;
	width: 60%;
	padding: 20px;
	margin: 0 auto;
}

@media (max-width: 992px) {
	#requests, #deletemembers {
		width:90% !important;
		padding: 10px;
	}
}

.approve, .decline {
	margin-top: 0 !important;
	background-color: white !important;
	font-weight: bold;
}

.approve:focus {
	border: 2px solid #61b566;
}

.decline:focus {
	border: 2px solid red;
}

.requestbtns {
	text-align: right !important;
}

.approve {
	color: #61b566 !important;
}

.decline {
	color: red !important;
}

.request {
	border: 1px solid rgba(0,0,0,0.50);
	padding: 6px 10px;
	margin: 2px 0 !important;
}

.request h6 {
	margin: 0 !important;
	padding: 1px 0 !important;
}

/* Index page styling */

#indexdivmain {
	position: relative !important;
}

.ancestors {
	width: 1346px;
	margin: auto;
	font-size: 24px;
	height: 360px !important;
}

.ancestors > div {
    position: absolute !important;
}

#bishendiv, #fatehdiv {
    left: 573px !important;
    width: 200px !important;
}

#familycontainer {
	overflow-x: auto !important;
	position: relative;
	min-height: 1500px;
}

.grandparentscontent, .parentscontent, .owncontent, .kidscontent {
	position: relative;
	height: 460px;
	width: 1346px;
	margin: 0 auto;
}

.grandparentscontent img {
	width: 264px;
	height: 400px;
}

.grandparentscontent > div {
	position: absolute;
	width: 264px;
}

#sherdiv {
	left: 400px;
}

#mohinderdiv {
	left: 682px;
}

.grandparentscontent p {
	font-size: 24px;
	margin-bottom: 0px !important;
	/* position: absolute;
	bottom: 10px;
	width: 114px;
	left: 616px;
	bottom: 0; */
}

.parentscontent {
	height: 330px !important;
}

.parentscontent p, .owncontent p, #parentsdiv p {
	font-size: 21px;
	margin-bottom: 0px !important;
}

.parentscontent > div {
	position: absolute;
	width: 200px;
}

#pdiv {
	height: 410px;
	width: 1346px;
	margin: 0 auto;
}

#parentsdiv {
	position: absolute;
	width: 200px;
	width: 450px !important;
	left: 448px;
	top: 30px;
}

.parentscontent img {
	width: 200px;
	height: 300px;
}

#balwantsinghdiv {
	left: 304px;
}

#gurbaxdiv {
	left: 573px;
}

#harbhajandiv {
	left: 1111px;
}

#harbansdiv {
	left: 842px;
}

#jaswantdiv {
	left: 35px;
}

#jaswantbox, #bishenbox, #fatehbox {
	height: 300px;
	border: 2px solid black;
}

.owncontent {
	height: 280px !important;
}

.owncontent > div {
	position: absolute;
	width: 150px;
}

.owncontent img {
	width: 150px;
	height: 200px;
}

#amarjitdiv {
	left: 38px;
}

#paramjitdiv {
	left: 290px;
}

#daljitdiv {
	left: 544px;
}

#sinderdiv {
	left: 749px;
}

#jassadiv {
	left: 954px;
}

#daviddiv {
	left: 1158px;
}

.kidscontent {
	height: 150px !important;
}

.kidscontent > div {
	position: absolute;
	width: 85px;
}

.kidscontent img {
	width: 85px;
	height: 100px;
}

.kidscontent p {
	font-size: 14px;
	margin-bottom: 0px !important;
	font-weight: 600;
}

#ravidiv{
	left: 21px;
}

#remmidiv{
	left: 118px;
}

#kamaldiv{
	left: 226px;
}

#amritdiv{
	left: 323px;
}

#simrandiv{
	left: 420px;
}

#nancydiv{
	left: 528px;
}

#johndiv{
	left: 625px;
}

#camerondiv{
	left: 733px;
}

#rajendiv{
	left: 830px;
}

#symrondiv{
	left: 938px;
}

#mishadiv{
	left: 1035px;
}

#amritadiv{
	left: 1143px;
}

#jasondiv{
	left: 1240px;
}

#familycontainer hr {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
	background-color: black; 
	color: black; 
	border: 0px;
	position: absolute;

}

#familycontainer hr.horizontalline {
	height: 2px;
}

#familycontainer hr.verticalline {
	width: 2px;
	height: 50px;
}

#lineset1, #lineset2, #lineset3 {
    width: 1346px;
    margin: 0 auto;
}

#lineset1 {
	height: 160px;
	position: relative;
}

#lineset1 .fdiv hr.verticalline {
	top: 0px;
}

#lineset1 .sdiv hr.verticalline {
	top: 100px;
}

#hr42 {
	left: 532px;
}

#hr43 {
	left: 816px;
}

#hr44 {
	left: 532px;
	width: 286px;
	top: 50px;
}

#hr1 {
	left: 672px;
	top: 50px;
}

#hr2 {
	left: 134px;
	width: 1076px;
	top: 100px;
}

#hr45 {
	left: 134px;
}

#hr3 {
	left: 403px;
}

#hr4 {
	left: 672px;
}

#hr5 {
	left: 941px;
}

#hr6 {
	left: 1210px;
}

#lineset2 {
	height: 160px;
	position: relative;
}

#lineset2 .lowerset hr {
	top: 100px;
}

#hr7 {
	left: 547px;
}

#hr8 {
	left: 797px;
}

#hr9 {
	left: 547px;
	width: 252px;
	top: 50px;
}

#hr10 {
	left: 672px;
	top: 50px;
}

#hr11 {
	left: 112px;
	width: 1120px;
	top: 100px;
}

#hr12 {
	left: 112px;
}

#hr13 {
	left: 364px;
}

#hr14 {
	left: 618px;
}

#hr15 {
	left: 823px;
}

#hr16 {
	left: 1028px;
}

#hr17 {
	left: 1232px;
}

#lineset3 {
	height: 110px;
	position: relative;
}

#hr18 {
	left: 112px;
}

#hr22 {
	left: 364px;
	height: 100px !important;
}

#hr26 {
	left: 618px;
}

#hr30 {
	left: 823px;
}

#hr34 {
	left: 1028px;
}

#hr38 {
	left: 1232px;
}

#hr19, #hr27, #hr31, #hr35, #hr39 {
	width: 96px !important;
	top: 50px;
}

#hr19 {
	left: 64px;
}

#hr23 {
	left: 268px;
	width: 192px !important;
	top: 50px;
}

#hr27 {
	left: 570px;
}

#hr31 {
	left: 775px;
}

#hr35 {
	left: 980px;
}

#hr39 {
	left: 1184px;
}

#hr20 {
	left: 64px;
	top: 50px;
}

#hr21 {
	left: 160px;
	top: 50px;
}

#hr24 {
	left: 268px;
	top: 50px;
}

#hr25 {
	left: 460px;
	top: 50px;
}

#hr28 {
	left: 570px;
	top: 50px;
}

#hr29 {
	left: 666px;
	top: 50px;
}

#hr32 {
	left: 775px;
	top: 50px;
}

#hr33 {
	left: 871px;
	top: 50px;
}

#hr36 {
	left: 980px;
	top: 50px;
}

#hr37 {
	left: 1076px;
	top: 50px;
}

#hr40 {
	left: 1184px;
	top: 50px;
}

#hr41 {
	left: 1280px;
	top: 50px;
}

/* Notification styling */

#notificationdiv {
	min-height: 300px;
}

.notification {
	width:30% !important;
	margin: 10px auto !important;
	height: auto;
	border: 1px solid black;
	padding: 5px 0;
}

.notification-image {
	width: 80px;
}

.notification-image > img {
	width: 50px;
	height: 50px;
	margin: auto !important;
	display: block;
}

.notification-info > p, .notification-info h6 {
	margin-bottom: 0 !important;
}

.notification-heading {
	line-height: 1 !important;
}

.notification-text {
	color: black !important;
	font-size: 16px !important;
}

.notification-time {
	font-size: 12px;
	color: #aaa !important;
	line-height: 1.3 !important;
}

@media (max-width: 992px) {
	.notification {
		width:90% !important;
		margin: 10px auto !important;
	}
}

/* show family page (deceased members) */
.col-20 {
	width: 30%;
	min-height: 250px !important;
	height: fit-content;
	margin: 20px auto;
}

.col-20 > div {
	margin: 5px auto;
}

.col-20 .card-title, .col-20 .card-text {
	text-align: center;
}

.col-20 img {
	height: 100%;
	width: 100%;
	margin: auto;
	object-fit: contain;
	max-height: 300px;
	min-height: 150px;
	min-width: 150px;
}

@media (max-width: 992px) {
	.col-20 {
		width:70% !important;
		margin: 10px auto !important;
	}
}

@media (max-width: 767px) {
	.col-20 {
		width:80% !important;
		margin: 10px auto !important;
	}
}

@media (max-width: 568px) {
	.col-20 {
		width:90% !important;
		margin: 10px auto !important;
	}
}

.table{
    width: 100%;
    border: 2px solid #e7e7e7;
    margin-top: 20px;
}